/**
 * Funcin que pone todos los elementos "checkbox" de un formulario cuyo nombre empieza con un 
 * nombre base al mismo valor que otro checkbox. Tambin pone al mismo valor otro checkbox 
 * recibido como parmetro.
 *
 * Representa la funcin que hace funcionar un checkbox del tipo "Seleccionar Todos" que ayuda 
 * a que cuando se marca se seleccionen todos los checkboxes del formulario facilitando al 
 * usuario esa labor.
 *
 * @author	David Domnguez
 * @param	chkbox			elemento checkbox a cuyo valor hay que colocar los dems
 * @param	nombreBase		string con el nombre base comn de los checkboxes del formulario
 *							que se deben poner al mismo valor que "chkbox"
 * @param	elementoPar		elemento checkbox que se tiene que poner al mismo valor que 
 *							"chkbox"
 */
function SeleccionarTodos(chkbox, nombreBase, elementoPar) {

	// Comprueba todos los elementos del formulario
	for (var i = 0; i < document.forms[0].elements.length; i++) {
	
		// Elemento i del formulario
		var elemento = document.forms[0].elements[i];
		
		// Comprueba que sea de tipo "checkbox"
		if (elemento.type == "checkbox") {
			// Comprueba que el nombre del checkbox empiece por "nombreBase"
			if (elemento.name.substring(-1, nombreBase.length) == nombreBase) {
				// Pone el valor del checkbox al mismo valor que el del elemento chkbox
				elemento.checked = chkbox.checked;
			}
		}
	}
	
	// Pone el valor del checkbox par al del elemento chkbox
	elementoPar.checked = chkbox.checked;
}