<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib prefix="x" tagdir="/WEB-INF/tags/"%>

<html>

	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
		<meta http-equiv="Content-Language" content="es"/>
		<title>Seleccionar items</title>
		<script language="JavaScript" type="text/javascript" src="./Scripts/checkbox.js"></script>
		<script language="JavaScript" type="text/javascript" src="./Scripts/confirmSubmit.js"></script>
	</head>

	<body bgcolor="#C3D3DF">

		<jsp:include page="cabecera.jsp"/>
		
		<form method="post" name="Formulario">

			<!-- Capa izquierda de la pgina. Muestra los tems disponibles para aadir al test -->
			<div style="position:absolute; left:3%; top:185px; width:45%; height:462px; overflow:scroll">
				<p><font size="4">Directorio Actual: ${DirectorioActual}</font></p>
		
				<!-- Enlace para volver al directorio superior. Se muestra slo si el enlace es 
				distinto de null, lo que indica que no se puede subir un directorio. -->
				<c:if test="${DirectorioSuperior != null}">	
					<p><img src="dir.png"/><a href="seleccionaritems.jsp?DirectorioActual=${DirectorioSuperior}">/..</a></p>
				</c:if>

				<!-- Lista los directorios del directorio actual -->
				<c:forEach var="dir" items="${NombresDirectorios}">
					<p><img src="dir.png"/><a href="seleccionaritems.jsp?DirectorioActual=${DirectorioActual}/${dir}">/${dir}</a></p>
				</c:forEach>
	
				<p><h2>&Iacute;tems disponibles</h2></p>

				<table border="1" width="100%">
					<tr>
						<td width="42%" bgcolor="#ACC0C6"><p align="center"><b>Item</b></p></td>
						<td width="42%" bgcolor="#ACC0C6"><p align="center"><b>T&iacute;tulo</b></p></td>
						<td width="16%" bgcolor="#ACC0C6"><p align="center"><b><input type="submit" value="Aadir" name="Aadir"/></b></p></td>
					</tr>

					<!-- La fila con el checkbox para seleccionar todos se muestra slo si la 
					lista de tems no est vaca -->
					<c:if test="${fn:length(Items) != 0}">
						<tr bgcolor="#6F9AD3">
							<td></td>
							<td></td>
							<td><p align="center"><input type="checkbox" name="AadeTodos1" value="checkboxTodos" onClick="SeleccionarTodos(this, 'Aade_', AadeTodos2);">Seleccionar Todos</p></td>
						</tr>
					</c:if>
					
					<!-- Una fila por cada tem disponible para aadir al test -->
					<c:forEach var="item" items="${Items}" varStatus="estado">
						<!-- Si el tem ya est aadido se marca de un color la fila -->
						<tr <c:if test="${Seleccionados[estado.index] == true}">bgcolor="#0099CC"</c:if>>
							<td ><p align="center">${item.nombre}</p></td>
							<td><p align="center">${item.titulo}</p></td>
							<td><p align="center">
							<!-- Si el tem ya est aadido se escribe "Aadido" -->
								<c:if test="${Seleccionados[estado.index] == true}">Aadido</c:if>
								<input type="checkbox" name="Aade_${estado.index}">
							</p></td>
						</tr>
					</c:forEach>
					
					<!-- La fila con el checkbox para seleccionar todos se muestra slo si la 
					lista de tems no est vaca -->
					<c:if test="${fn:length(Items) != 0}">
						<tr bgcolor="#6F9AD3">
							<td></td>
							<td></td>
							<td><p align="center"><input type="checkbox" name="AadeTodos2" value="checkboxTodos" onClick="SeleccionarTodos(this, 'Aade_', AadeTodos1);">Seleccionar Todos</p></td>
						</tr>
					</c:if>
				</table>

				<p><a href="seleccionasignatura.jsp?Destino=seleccionaritems.jsp">Cambiar de Asignatura</a></p>

			</div>
		
			<!-- Capa derecha de la pgina. Muestra los tems seleccionados para aadir al test -->
			<div style="position:absolute; left:52%; top:185px; width:45%; height:462px; overflow:scroll">
				<p align="center"><u><font size="5">ITEMS SELECCIONADOS ACTUALMENTE</font></u></p>
				<p><font color="#008000" size="4">${Informacion}<!-- Mensajes de informacin al usuario en la pgina --></font></p>
				<x:aviso aviso="${Aviso}"/>
				<p>N&uacute;mero de &iacute;tems seleccionados: <strong>${fn:length(Items_A_Aadir)}</strong><p/>
				<table border="1" width="100%">
					<tr>
						<td width="42%" bgcolor="#ACC0C6"><p align="center"><b>Item</b></p></td>
						<td width="42%" bgcolor="#ACC0C6"><p align="center"><b>T&iacute;tulo</b></p></td>
						<td width="16%" bgcolor="#ACC0C6"><p align="center"><input type="submit" value="Eliminar" name="Eliminar"/></p></td>
					</tr>

					<!-- La fila con el checkbox para seleccionar todos se muestra slo si la 
					lista de tems no est vaca -->
					<c:if test="${fn:length(Items_A_Aadir) != 0}">
						<tr bgcolor="#6F9AD3">
							<td></td>
							<td></td>
							<td><p align="center"><input type="checkbox" name="EliminaTodos1" value="checkboxTodos" onClick="SeleccionarTodos(this, 'Elimina_', EliminaTodos2);">Seleccionar Todos</p></td>
						</tr>
					</c:if>

					<!-- Una fila por cada tem seleccionado para aadir al test -->
					<c:forEach var="item" items="${Items_A_Aadir}"  varStatus="estado">
						<tr>
							<td><p align="center"></p>${item.nombre}</td>
							<td><p align="center"></p>${item.titulo}</td>
							<td><p align="center"><input type="checkbox" name="Elimina_${estado.index}"></p></td>
						</tr>
					</c:forEach>

					<!-- La fila con el checkbox para seleccionar todos se muestra slo si la 
					lista de tems no est vaca -->
					<c:if test="${fn:length(Items_A_Aadir) != 0}">
						<tr bgcolor="#6F9AD3">
							<td></td>
							<td></td>
							<td><p align="center"><input type="checkbox" name="EliminaTodos2" value="checkboxTodos" onClick="SeleccionarTodos(this, 'Elimina_', EliminaTodos1);">Seleccionar Todos</p></td>
						</tr>
					</c:if>
				</table>
			
				<input type="submit" value="Introducir Pesos" name="Pesos" onClick="return confirmSubmit('Est conforme con los tems seleccionados a incluir en el Test?')"/>
			</div>	

		</form>
		
		<div style="position:absolute; top:650px; left:0; width:100%; height:20px">
			<center>
				<small>Herramienta de Creaci&oacute;n de Examen QTI. Universidad de Sevilla.</small>
			</center>
		</div>
		
	</body>
</html>